commit:     fbc027eac7b4bb39c105741659e0fa15a9f44aba
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 12 06:13:54 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Jun 12 06:13:54 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fbc027ea

dev-ruby/jwt: add 2.7.1

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/jwt/Manifest         |  1 +
 dev-ruby/jwt/jwt-2.7.1.ebuild | 33 +++++++++++++++++++++++++++++++++
 2 files changed, 34 insertions(+)

diff --git a/dev-ruby/jwt/Manifest b/dev-ruby/jwt/Manifest
index 45caf959d6e6..aacec3112531 100644
--- a/dev-ruby/jwt/Manifest
+++ b/dev-ruby/jwt/Manifest
@@ -1,2 +1,3 @@
 DIST jwt-2.2.3.tar.gz 50675 BLAKE2B 
904a2b9be80ece10cc046d35df784ecc4991c3b09a79c2e2e461003596e9212409ed5840282ce632d3ff499754c505cd899ca95945f562883869ff3c50c4399a
 SHA512 
ebefbf8f825afc1a78329088012118ed681a61bdf9e1c6a3fa125d46105092f1f26a4bc88791788c0290009dbc0427128d655a301c034ac07caf14216744962c
 DIST jwt-2.7.0.tar.gz 75020 BLAKE2B 
2bfa009912f4037dc13672ef6d43557e70bc9a06d399d949a6c5ddee641dc550a218242482ec0a66eb470ab117d1e192dd1ca6fdb5a03926d85f4902d72500e7
 SHA512 
8e0bb9909d123b7b73fe01fafc4088e45140e417b1bff84b240a317f3dca8085b2b987bd1e93cb1506efc66a1f7371168f8202a590308ee0e4c52820983a9789
+DIST jwt-2.7.1.tar.gz 75003 BLAKE2B 
5c43fd78cf22960749358cbfcbfb5c47dce935ef8fd83235137a963572b95b19583399e142136663d113df472ebfb5dd976ce60156b75cceeff387950b6190b0
 SHA512 
efcdd81bc472a18764e0033f1040e9e2506952cbfb691acfc1ad90a5b34ebac864911e0cfeb28b82ac2ce1da7e3578a6677c0b113d1e45a81a3f4c4f8fed1047

diff --git a/dev-ruby/jwt/jwt-2.7.1.ebuild b/dev-ruby/jwt/jwt-2.7.1.ebuild
new file mode 100644
index 000000000000..c713d5f1b367
--- /dev/null
+++ b/dev-ruby/jwt/jwt-2.7.1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_GEMSPEC="ruby-jwt.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Ruby implementation of JSON Web Token draft 06"
+HOMEPAGE="https://github.com/jwt/ruby-jwt";
+SRC_URI="https://github.com/jwt/ruby-jwt/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="2"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE=""
+
+RUBY_S="ruby-jwt-${PV}"
+
+ruby_add_bdepend "test? ( dev-ruby/rbnacl )"
+
+all_ruby_prepare() {
+       sed -i -e "/simplecov/ s:^:#:" \
+               -e '/^SimpleCov.start/,/^end/ s:^:#:' \
+               spec/spec_helper.rb || die
+
+       sed -i -e 's/git ls-files -z/find * -print0/' ${RUBY_FAKEGEM_GEMSPEC} 
|| die
+}

Reply via email to